@misc{yelp_dataset,
  note = "\url{https://www.yelp.com/dataset/download}",
  key = {1_yelp_dataset},
}

@misc{yelp_doc,
  note = "\url{https://www.yelp.com/dataset/documentation/main}",
  key = {2_yelp_doc},
}

@article{lin2010data,
  title={Data-intensive text processing with MapReduce},
  author={Lin, Jimmy and Dyer, Chris},
  journal={Synthesis Lectures on Human Language Technologies},
  volume={3},
  number={1},
  pages={1--177},
  year={2010},
  publisher={Morgan \& Claypool Publishers},
  key="mapreduce"
}


@book{gates2016programming,
  title={Programming pig: Dataflow scripting with hadoop},
  author={Gates, Alan and Dai, Daniel},
  year={2016},
  publisher={" O'Reilly Media, Inc."},
  key="pig"
}



@book{miner2012mapreduce,
  title={MapReduce design patterns: building effective algorithms and analytics for Hadoop and other systems},
  author={Miner, Donald and Shook, Adam},
  year={2012},
  publisher={" O'Reilly Media, Inc."},
  key="mapreduce2"
}


@book{white2012hadoop,
  title={Hadoop: The definitive guide},
  author={White, Tom},
  year={2012},
  publisher={" O'Reilly Media, Inc."},
  key="hadoop"
}


